Draft Text/cs: Difference between revisions

From FreeCAD Documentation
(Created page with "==Volby==")
(Created page with "* Stisknutí klávesy {{KEY|CTRL}} přichytí Váš bod k nejbližšímu uchopovacímu místu, nezávisle na vzdálenosti od něho. * Pro zadání souřadnic ru...")
Line 14: Line 14:
==Volby==
==Volby==


* Pressing {{KEY|CTRL}} will [[Draft_Snap|snap]] your point to available snap locations.
* Stisknutí klávesy {{KEY|CTRL}} [[Draft_Snap|přichytí]] Váš bod k nejbližšímu uchopovacímu místu, nezávisle na vzdálenosti od něho.
* To enter coordinates manually, simply enter the numbers, then press {{KEY|ENTER}} between each X, Y and Z component.
* Pro zadání souřadnic ručně, jednoduše zadejte číslo a stiskněte {{KEY|ENTER}} mezi každou z komponent X, Y a Z.
* Stiskněte klávesu {{KEY|ESC}} nebo tlačítko {{KEY|'''Cancel'''}} pro ukončení aktuálního příkazu
* Pressing {{KEY|ESC}} will cancel the operation.
* When editing the text, pressing {{KEY|ENTER}} or {{KEY|DOWN ARROW}} allow you to enter or edit a next line of text.
* Stisknutím {{KEY|ENTER}} nebo {{KEY|DOWN ARROW}} při úpravě textu můžete vložit nebo editovat další řádek textu.
* Pressing {{KEY|UP ARROW}} allows you to edit a previous line of text.
* Stisknutím klávesy {{KEY|UP ARROW}} můžete editovat předcházející řádek textu.
* Pressing {{KEY|ENTER}} '''twice''' (thus leaving the last line empty) adds the text to the document and closes the editor.
* '''Dvojím''' stisknutím {{KEY|ENTER}} (t.j. nevyplnění posledního řádku) přidáte text do dokumentu a ukončíte editor.


==Properties==
==Properties==

Revision as of 19:31, 20 January 2014

Draft_Text

Menu location
Draft -> Text
Workbenches
Kreslení, Architektura
Default shortcut
T E
Introduced in version
-
See also
None

Popis

Nástroj Text vkládá text k zadanému bodu v aktuálnímu dokumentu. Použije se tloušťka čáry a barva předem zadaná v záložce Nástrojů.

Použití

  1. Stiskněte tlačítko Text nebo klávesy T then E
  2. Klikněte na bod ve 3D pohledu nebo zadejte jeho souřadnice
  3. Vložte požadovaný text, mezi každým řádkem stiskněte ENTER
  4. Klávesu ENTER stiskněte 2x pro ukončení operace.

Volby

  • Stisknutí klávesy CTRL přichytí Váš bod k nejbližšímu uchopovacímu místu, nezávisle na vzdálenosti od něho.
  • Pro zadání souřadnic ručně, jednoduše zadejte číslo a stiskněte ENTER mezi každou z komponent X, Y a Z.
  • Stiskněte klávesu ESC nebo tlačítko Cancel pro ukončení aktuálního příkazu
  • Stisknutím ENTER nebo DOWN ARROW při úpravě textu můžete vložit nebo editovat další řádek textu.
  • Stisknutím klávesy UP ARROW můžete editovat předcházející řádek textu.
  • Dvojím stisknutím ENTER (t.j. nevyplnění posledního řádku) přidáte text do dokumentu a ukončíte editor.

Properties

  • ÚdajePosition: The base point of the text block
  • ÚdajeLabel Text: The contents of the text block
  • PohledDisplay Mode: Specifies if the text is aligned to the scene axes or always faces the camera
  • PohledFont Size: The size of the letters
  • PohledJustification: Specifies if the text is aligned to the left, right or center of the base point.
  • PohledLine Spacing: Specifies the space between lines of text
  • PohledRotation: Specifies a rotation to be applied to the text
  • PohledRotation Axis: Specifies the axis to use for the rotation
  • PohledFont Name: The font to use to draw the text. It can be a font name, such as "Arial", a default style such as "sans", "serif" or "mono", or a family such as "Arial,Helvetica,sans" or a name with a style such as "Arial:Bold". If the given font is not found on the system, a generic one is used instead.

Scripting

The Text tool can by used in macros and from the python console by using the following function:

 '''makeText (string or list, [Vector], [screenmode])'''
  • Creates a Text object, at the given point if a vector is provided, containing the string or the strings given in the list, one string by line. * The current Draft color and text height and font specified in preferences are used.
  • If screenmode is True, the text always faces the view direction, otherwise it lies on the XY plane.
  • Returns the newly created object.

Example:

 import FreeCAD,Draft
 Draft.makeText("This is a sample text",FreeCAD.Vector(1,1,0))